ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
report_utilities_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| get_reports_list (&$Settings)

## Data Fields
| $Utilities = false

## Detailed Description

Working with reports.

Author
  Dodonov A.A.

Definition at line 26 of file report_utilities.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 54 of file report_utilities.php.

{
try
{
$this->Utilities = get_package( 'utilities' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

get_reports_list | ( | & | $Settings | ) |

Function returns array of reports.

Parameters

  $Settings | - Compilation parameters.

Returns
  Array of reports.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 88 of file report_utilities.php.

{
try
{
$PackageName = $tSettings->get_setting( 'package_name' );
$PackageVersion = $Settings->get_setting( 'package_version' , 'last' );
$Subfolder = $Settings->get_setting( 'subfolder' , '' );
$ReportsPath = _get_package_path_ex( $PackageName , $PackageVersion )."/res/reports/";
if( $Subfolder != '' )
{
$ReportsPath .= $Subfolder.'/';
}
$Settings->set_setting(
'name' , $Settings->get_setting( 'name' , 'report_template' )
);
return( $this->Utilities->get_files_from_directory( $ReportsPath , '/\.rep/' ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$Utilities = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 38 of file report_utilities.php.

The documentation for this class was generated from the following file:

- packages/report/packages/report_utilities/report_utilities.php